From bd9476bda2d577677ec7913f19633e58036fcf0e Mon Sep 17 00:00:00 2001
From: magnum <magnum>
Date: Tue, 23 Aug 2011 14:36:06 +0200
Subject: [PATCH 32/33] Dumb16/32 restore fixes and formatting in john.conf

---
 run/john.conf          | 4685 ++++++++++++++++++++++++------------------------
 src/unused/mkdumb16.pl |   10 +-
 2 files changed, 2366 insertions(+), 2329 deletions(-)

diff --git a/run/john.conf b/run/john.conf
index e72ffab..5420085 100644
--- a/run/john.conf
+++ b/run/john.conf
@@ -759,8 +759,8 @@ void restore()
 
 # Generic implementation of "dumb" exhaustive search of Unicode/UCS-2 and
 # an arbitrary charset. Default is to try *all* allocated characters (there's
-# 54473 of them). A fast format like NT can exhaust two characters in 15 minutes
-# while three characters would take 1,5 years...
+# 54473 of them). Even if a fast format can exhaust two characters in 15
+# minutes, three characters would take 1,5 years...
 #
 # The output is UTF-8, so for 16-bit formats you need to give --enc=utf8
 [List.External:Dumb16]
@@ -769,7 +769,7 @@ int last;                 // Last character position, zero-based
 int lastid;               // Character index in the last position
 int id[0x7f];             // Current character indices for other positions
 int charset[0x10000], c0; // Characters
-int word16[0x7F];         // Word in UCS-2
+int ucs2[0x7F];           // Word in UCS-2
 
 void init()
 {
diff --git a/run/john.conf b/run/john.conf
index e72ffab..5420085 100644
--- a/run/john.conf
+++ b/run/john.conf
@@ -1746,13 +3165,13 @@ void init()
 	i = 0;
 	while (i <= last) {
 		id[i] = 0;
-		word16[i++] = c0;
+		utf32[i++] = c0;
 	}
 	lastid = -1;
-	word16[i] = 0;
+	utf32[i] = 0;
 
 /* We must init word with dummy data, it doesn't get set until filter() */
-    word = 1;
+	word = 1;
 }
 
 void generate()
